SET DEFINE OFF;

--
-- 
-- ____________________________________________________________________________________________
--  /!\ ATTENTION /!\  fichier encodé en UTF-8   (  il peut  contenir des é è ç à î ê ô ... )
-- ____________________________________________________________________________________________
--
--

--
-- 
-- Fichier: n°1/3
-- Type: DDL
-- Schéma:  RECHERCHE
-- Numéro de version :  1.2.0
-- Date de publication :  23/11/2012
-- Auteurs : Julien Lafourcade, Jean-Marc Pussacq
-- Licence : CeCILL version 2
--



whenever sqlerror exit sql.sqlcode ;


CREATE SEQUENCE RECHERCHE.STATUT_TYPE_CONTRAT_SEQ START WITH 1 NOCACHE;


CREATE TABLE RECHERCHE.STATUT_TYPE_CONTRAT (
	ID NUMBER,
	ASS_ID NUMBER,
	C_TYPE_CONTRAT_TRAV VARCHAR2(2),
	PERS_ID_CREATION NUMBER NOT NULL, 
	PERS_ID_MODIFICATION NUMBER					  ,
	D_CREATION DATE NOT NULL, 
	D_MODIFICATION DATE
);

COMMENT ON TABLE RECHERCHE.STATUT_TYPE_CONTRAT IS 'Table de repartition entre les statut de membres SR (associations) et les types de contrats de travail';
COMMENT ON COLUMN RECHERCHE.STATUT_TYPE_CONTRAT.ID IS 'Identifiant de la repartition';
COMMENT ON COLUMN RECHERCHE.STATUT_TYPE_CONTRAT.ASS_ID IS 'Identifiant du statut (table association)';
COMMENT ON COLUMN RECHERCHE.STATUT_TYPE_CONTRAT.C_TYPE_CONTRAT_TRAV IS 'Identifiant du type de contrat';
COMMENT ON COLUMN RECHERCHE.STATUT_TYPE_CONTRAT.PERS_ID_CREATION IS 'persid du createur';
COMMENT ON COLUMN RECHERCHE.STATUT_TYPE_CONTRAT.PERS_ID_MODIFICATION IS 'persid du modificateur.';
COMMENT ON COLUMN RECHERCHE.STATUT_TYPE_CONTRAT.D_CREATION IS 'date de creation';
COMMENT ON COLUMN RECHERCHE.STATUT_TYPE_CONTRAT.D_MODIFICATION IS 'date de modification';


ALTER TABLE RECHERCHE.STATUT_TYPE_CONTRAT ADD (
 CONSTRAINT PK_STATUT_TYPE_CONTRAT  PRIMARY KEY (ID)
 USING INDEX TABLESPACE INDX_GRHUM );
 
ALTER TABLE RECHERCHE.STATUT_TYPE_CONTRAT ADD (
	CONSTRAINT FK_STATYCON_ASSO 
	FOREIGN KEY (ASS_ID) 
	REFERENCES GRHUM.ASSOCIATION (ASS_ID)
); 
 
GRANT REFERENCES ON GRHUM.TYPE_CONTRAT_TRAVAIL TO RECHERCHE;
GRANT SELECT ON GRHUM.TYPE_CONTRAT_TRAVAIL TO RECHERCHE;
 
 
ALTER TABLE RECHERCHE.STATUT_TYPE_CONTRAT ADD (
	CONSTRAINT FK_STATYCON_TYCONTRAV 
	FOREIGN KEY (C_TYPE_CONTRAT_TRAV) 
	REFERENCES GRHUM.TYPE_CONTRAT_TRAVAIL (C_TYPE_CONTRAT_TRAV)
);  

ALTER TABLE RECHERCHE.AAP ADD TTC NUMBER(1) DEFAULT 0 NOT NULL ;


 